#
# spec file for package perl-Compress-Raw-Lzma
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Compress-Raw-Lzma
Version:        2.082
Release:        lp152.3.2
%define cpan_name Compress-Raw-Lzma
Summary:        Low-Level Interface to lzma compression library
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Compress-Raw-Lzma/
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  xz
BuildRequires:  xz-devel
# MANUAL END

%description
'Compress::Raw::Lzma' provides an interface to the in-memory
compression/uncompression functions from the lzma compression library.

Although the primary purpose for the existence of 'Compress::Raw::Lzma' is
for use by the 'IO::Compress::Lzma', 'IO::Uncompress::UnLzma',
'IO::Compress::Xz' and 'IO::Uncompress::UnXz' modules, it can be used on
its own for simple compression/uncompression tasks.

There are two functions, called 'code' and 'flush', used in all the
compression and uncompression interfaces defined in this module. By default
both of these functions overwrites any data stored in its output buffer
parameter. If you want to compress/uncompress to a single buffer, and have
'code' and 'flush' append to that buffer, enable the 'AppendOutput' option
when you create the compression/decompression object.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Apr 21 2018 coolo@suse.com
- updated to 2.082
  see /usr/share/doc/packages/perl-Compress-Raw-Lzma/Changes
    2.082 15 April 2018
  * README
    Document clash with older version of liblzma
    [#125046]: Undefined symbol "lzma_properties_size"
  * Lzma.pm
    [#125093]: [PATCH] fix spelling mistakes: defaut -> default
* Wed Apr 11 2018 coolo@suse.com
- updated to 2.081
  see /usr/share/doc/packages/perl-Compress-Raw-Lzma/Changes
    2.081 4 April 2018
  * previous release used $^W instead of use warnings. Fixed.
* Wed Apr  4 2018 coolo@suse.com
- updated to 2.080
  see /usr/share/doc/packages/perl-Compress-Raw-Lzma/Changes
    2.080 2 April 2018
  * No Changes
* Mon Jul 10 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-Compress-Raw-Lzma/Changes
    2.074 18 Feb 2017
  * Lzma.xs
    Comment out unused variables & remove C++-ism
    [#120272]: [PATCH] Unbreak compilation
  * Make failure when LZMA_VERSION != lzma_version_number more excplicit
  * Added interface to LZMA_VERSION and LZMA_VERSION_STRING
    2.072 4 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
  * #105460: use of Compress::Raw::Lzma::RawDecoder fails with large amount of data
    AppendOutput for "encode" methods said default was 1. It is actually.
    2.070 28 Dec 2016
  * #119207: Compress-Raw-Lzma-2.069 bug report
    2.069 26 Sep 2015
  * No Changes
* Wed Dec 24 2014 jnweiger@gmail.com
- update to 2.068 23 Dec 2014
  * No Changes
- 2.064 1 February 2014
  * [PATCH] Handle non-PVs better [#91558]
* Sun Dec  1 2013 jw@suse.com
- Update to 2.062, since 2.052 fails on 13.1 with
  t/01llzma-generic.t at line 487
    [   61s] #          got: 'Appended$&A*̓5KH=*5$Appended'
    [   61s] #     expected: 'Appended'
  and many other fatal errors.
- 2.062 11 August 2013 * fix typos [RT #86418]
- 2.061 19 May 2013 * silence compiler warning by making 2nd parameter to DispStream a const char*
- 2.060 7 January 2013 * No Changes
- 2.059 24 November 2012 * Copy-on-write support
- 2.058 12 November 2012 * No Changes
- 2.057 10 November 2012
  * update to ppport.h that includes SvPV_nomg_nolen
  * added PERL_NO_GET_CONTEXT
- 2.055 5 August 2012 * Fix misuse of magic in API
* Mon Jun 25 2012 chris@computersalat.de
- update to 2.052
  * Fixed to allow building with C++
- 2.049 17 February 2012
  * README wasn't included in the distribution.
- 2.047 28 January 2012
  * Set minimum Perl version to 5.6
- 2.045 3 December 2011
  * Moved FAQ.pod to IO::Compress
- 2.044 2 December 2011
  * Moved FAQ.pod under the lib directory so it can get installed
- 2.039 28 October 2011
  * croak if attempt to freeze/thaw compression object
    [RT #69985]
- 2.036 18 June 2011
  * A number of changes to facilitate adding LZMA support to
    IO::Compress::Zip & IO::Uncompress::Unzip
  * Added preset filters Lzma::Filter::Lzma1::Preset &
    Lzma::Filter::Lzma2::Preset
  * Added forZip option to Compress::Raw::Lzma::Encoder
  * Added properties option to Compress::Raw::Lzma::RawDecoder
- update license to spdx format
* Tue May 31 2011 coolo@novell.com
- updated to 2.035
  code name "No Changes"
* Sat Apr 16 2011 coolo@opensuse.org
- updated to 2.033
  * Changed default MemLimit from 128Meg to unlimited.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Nov  9 2010 coolo@novell.com
- update to 2.031
  * build with xz 5.0
* Tue Sep 21 2010 jw@novell.com
- testsuite recommends xz
* Tue Sep 21 2010 jw@novell.com
- update to 2.030
  * no visible changes
  * created by cpanspec 1.78.02
* Mon Sep 13 2010 jw@novell.com
- use xz-devel instead of lzma-devel
* Wed Jun 30 2010 jw@novell.com
- initial version 2.029 needed by perl-IO-Compress-Lzma
